'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-0048f6f2.js');

const containerCss = ".container{-ms-flex-positive:1;flex-grow:1;margin:0 auto;position:relative;width:auto}.container.is-fluid{max-width:none;padding-left:32px;padding-right:32px;width:100%}@media screen and (min-width: 1024px){.container{max-width:960px}}@media screen and (max-width: 1215px){.container.is-widescreen{max-width:1152px}}@media screen and (max-width: 1407px){.container.is-fullhd{max-width:1344px}}@media screen and (min-width: 1216px){.container{max-width:1152px}}@media screen and (min-width: 1408px){.container{max-width:1344px}}bm-container{display:block}";

const Container = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
        /**
         * Fluid container
         */
        this.isFluid = false;
    }
    render() {
        return (index.h(index.Host, { class: {
                container: true,
                'is-fluid': this.isFluid,
                [this.breakpoint]: Boolean(this.breakpoint),
                [this.class]: Boolean(this.class),
            } }));
    }
};
Container.style = containerCss;

exports.bm_container = Container;
