import { r as registerInstance, h } from './index-3a7d032c.js';
var tagsCss = "bm-tags bm-tag:not(:last-child) .tag{margin-right:0.5rem}bm-tags:last-child{margin-bottom:-0.5rem}bm-tags:not(:last-child){margin-bottom:1rem}bm-tags .tags.is-right bm-tag:not(:first-child) .tag{margin-left:0.5rem}bm-tags .tags.is-right bm-tag:not(:last-child) .tag{margin-right:0}bm-tags .tags.has-addons bm-tag:not(:first-child) .tag{margin-left:0;border-bottom-left-radius:0;border-top-left-radius:0}bm-tags .tags.has-addons bm-tag:not(:last-child) .tag{border-bottom-right-radius:0;border-top-right-radius:0}";
var Tags = /** @class */ (function () {
    function Tags(hostRef) {
        registerInstance(this, hostRef);
        /**
         * Has addons
         */
        this.hasAddons = false;
    }
    Tags.prototype.render = function () {
        var _a;
        return (h("div", { class: (_a = {
                    tags: true,
                    'has-addons': this.hasAddons
                },
                _a[this.size] = Boolean(this.size),
                _a[this.class] = Boolean(this.class),
                _a) }, h("slot", null)));
    };
    return Tags;
}());
Tags.style = tagsCss;
export { Tags as bm_tags };
