import { r as registerInstance, h, H as Host } from './index-3a7d032c.js';

const footerCss = ".footer{background-color:#fafafa;padding:3rem 1.5rem 6rem}";

const Footer = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
    }
    render() {
        return (h(Host, null, h("footer", { class: {
                footer: true,
                [this.class]: Boolean(this.class),
            } }, h("slot", null))));
    }
};
Footer.style = footerCss;

export { Footer as bm_footer };
