import { JSX, ComponentInterface } from '../../../stencil-public-runtime';
export declare class Notification implements ComponentInterface {
    /**
     * CSS Classes
     */
    class: string;
    /**
     * Color
     */
    color: 'is-primary' | 'is-link' | 'is-info' | 'is-success' | 'is-warning' | 'is-danger';
    /**
     * Dismissable
     */
    dismissable: boolean;
    render(): JSX.Element;
}
