import { JSX, ComponentInterface } from '../../../stencil-public-runtime';
export declare class Switch implements ComponentInterface {
    /**
     * CSS Classes
     */
    class: string;
    /**
     * Color
     */
    color: 'is-success' | 'is-warning' | 'is-danger' | 'is-info';
    /**
     * Size
     */
    size: 'is-small' | 'is-medium' | 'is-large';
    /**
     * Thin
     */
    isThin: boolean;
    /**
     * Rounded
     */
    isRounded: boolean;
    /**
     * Outlined
     */
    isOutlined: boolean;
    /**
     * Disabled
     */
    disabled: boolean;
    /**
     * Checked
     */
    checked: boolean;
    private onClick;
    render(): JSX.Element;
}
