import { r as registerInstance, h } from './index-3a7d032c.js';
var checkboxCss = ".radio,.checkbox{cursor:pointer;display:inline-block;line-height:1.25;position:relative}.radio input,.checkbox input{cursor:pointer}.radio:hover,.checkbox:hover{color:#363636}[disabled].radio,[disabled].checkbox,fieldset[disabled] .radio,fieldset[disabled] .checkbox{color:#7a7a7a;cursor:not-allowed}.radio+.radio{margin-left:0.5em}bm-checkbox[disabled=true] .checkbox{color:#7a7a7a;cursor:not-allowed}";
var Checkbox = /** @class */ (function () {
    function Checkbox(hostRef) {
        registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
        /**
         * Label classes
         */
        this.labelClass = '';
        /**
         * Checked
         */
        this.checked = false;
        /**
         * Disabled
         */
        this.disabled = false;
    }
    Checkbox.prototype.render = function () {
        var _a, _b;
        return (h("label", { class: (_a = {
                    checkbox: true
                },
                _a[this.labelClass] = Boolean(this.labelClass),
                _a) }, h("input", { type: "checkbox", class: (_b = {},
                _b[this.class] = Boolean(this.class),
                _b), disabled: this.disabled, checked: this.checked }), h("slot", null)));
    };
    return Checkbox;
}());
Checkbox.style = checkboxCss;
export { Checkbox as bm_checkbox };
