import { JSX, ComponentInterface } from '../../../stencil-public-runtime';
export declare class Slider implements ComponentInterface {
    /**
     * Step
     */
    step: number;
    /**
     * Min
     */
    min: number;
    /**
     * CSS Classes
     */
    max: number;
    /**
     * Value
     */
    value: number;
    /**
     * CSS Classes
     */
    class: string;
    /**
     * Color
     */
    color: 'is-success' | 'is-warning' | 'is-danger' | 'is-info';
    /**
     * Size
     */
    size: 'is-small' | 'is-medium' | 'is-large';
    /**
     * Circle
     */
    isCircle: boolean;
    /**
     * Disabled
     */
    disabled: boolean;
    private handleInputChange;
    render(): JSX.Element;
}
